Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.annots.AnnotArray Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| AnnotArray ()
| Constructor.
| AnnotArray (AnnotArray other)
| Constructor, with another array object. More...
void | Add (Annot element)
| Add an element to the end of current array. More...
Annot | GetAt (uint index)
| Retrieve a copy of the element at position specified by index in current array. More...
uint | GetSize ()
| Get the size of elements in current array. More...
void | InsertAt (uint index, Annot element)
| Insert an element before the position specified by index. More...
void | RemoveAll ()
| Remove all the element from current array. More...
void | RemoveAt (uint index)
| Remove the element in position specified by index. More...

## Detailed Description

This class represents an array of annotation objects.

## Constructor & Destructor Documentation

## ◆ AnnotArray()

foxit.pdf.annots.AnnotArray.AnnotArray | ( | AnnotArray | other | ) |
| inline

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## Member Function Documentation

## ◆ Add()

void foxit.pdf.annots.AnnotArray.Add | ( | Annot | element | ) |
| inline

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

## ◆ GetAt()

Annot foxit.pdf.annots.AnnotArray.GetAt | ( | uint | index | ) |
| inline

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

## ◆ GetSize()

uint foxit.pdf.annots.AnnotArray.GetSize | ( |  | ) |
| inline

Get the size of elements in current array.

Returns
  The size.

## ◆ InsertAt()

void foxit.pdf.annots.AnnotArray.InsertAt | ( | uint | index,
|  | Annot | element
| ) |  |
| inline

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

## ◆ RemoveAll()

void foxit.pdf.annots.AnnotArray.RemoveAll | ( |  | ) |
| inline

Remove all the element from current array.

Returns
  None.

## ◆ RemoveAt()

void foxit.pdf.annots.AnnotArray.RemoveAt | ( | uint | index | ) |
| inline

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.